%global momorel 10
%global pyver %(%{__python} -c "import sys ; print sys.version[:3]")
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%{!?python_sitearch: %define python_sitearch %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")}

Summary: Miro - free, open source internet tv and video player
Name: miro
Version: 1.0
Release: %{momorel}m%{?dist}
Group: Applications/Multimedia
License: GPLv2
URL: http://www.getmiro.com/
Source0: http://ftp.osuosl.org/pub/pculture.org/miro/src/Miro-%{version}.tar.gz
Buildroot: %{_tmppath}/%{name}-%{version}-root
ExclusiveArch: %{ix86} x86_64 ppc ppc64
BuildRequires: python-devel
BuildRequires: Pyrex
BuildRequires: xine-lib
BuildRequires: libfame-devel
BuildRequires: boost-devel
BuildRequires: firefox-devel >= 2.0.0.17
BuildRequires: nspr-devel
BuildRequires: libX11-devel, libXau-devel, libXcursor-devel, libXdmcp-devel
BuildRequires: libXext-devel, libXfixes-devel, libXft-devel, libXi-devel
BuildRequires: libXinerama-devel, libXrandr-devel, libXrender-devel
BuildRequires: atk-devel, cairo-devel, glibc-devel, expat-devel
BuildRequires: fontconfig-devel, freetype-devel, gtk2-devel, glib2-devel
BuildRequires: glibc-devel, pango-devel, libpng-devel, libstdc++-devel
BuildRequires: libxcb-devel, zlib-devel
Requires: python-abi = %{pyver}
Requires: gnome-python2-extras-gtkmozembed >= 2.14.3-6m

%description
Miro is free, open source internet tv and video player.

%prep
%setup -q -n Miro-%{version}

%build
cd platform/gtk-x11
CFLAGS="$RPM_OPT_FLAGS" %{__python} setup.py build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}
cd platform/gtk-x11
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
mv README README-gtk-x11
 
%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%post
update-desktop-database %{_datadir}/applications

%postun
update-desktop-database %{_datadir}/applications

# Include files and dirs below %{python_sitelib} (for noarch packages) and
# %{python_sitearch} (for arch-dependent packages) as appropriate, and mark
# *.pyo as %ghost (do not include in package).
%files
%defattr(-,root,root,-)
%doc CREDITS README license.txt platform/gtk-x11/README-gtk-x11
%{_bindir}/*
%{_libexecdir}/*
%{_datadir}/miro
%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop
%{_datadir}/man/man1/*
%{_datadir}/mime/packages/*.xml
%{_datadir}/locale/*/LC_MESSAGES/miro.mo
%dir %{python_sitearch}/miro
%dir %{python_sitearch}/miro/compiled_templates
%dir %{python_sitearch}/miro/dl_daemon
%dir %{python_sitearch}/miro/dl_daemon/private
%dir %{python_sitearch}/miro/frontend_implementation
%{python_sitearch}/miro/*.so
%{python_sitearch}/miro/*.py
%{python_sitearch}/miro/*.pyc
%ghost %{python_sitearch}/miro/*.pyo
%{python_sitearch}/miro/*/*.py
%{python_sitearch}/miro/*/*.pyc
%ghost %{python_sitearch}/miro/*/*.pyo
%{python_sitearch}/miro/*/*/*.py
%{python_sitearch}/miro/*/*/*.pyc
%ghost %{python_sitearch}/miro/*/*/*.pyo

%changelog
* Fri Sep 26 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-10m)
- rebuild against firefox-2.0.0.17

* Thu Jul 17 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-9m)
- rebuild against firefox-2.0.0.16

* Thu Jul  3 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (1.0-8m)
- rebuild against firefox-2.0.0.15

* Thu Apr 17 2008 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-7m)
- rebuild against firefox-2.0.0.14

* Wed Mar 26 2008 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-6m)
- rebuild against firefox-2.0.0.13

* Wed Feb 13 2008 Masahiro Takahata <takahata@momonga-linux.org>
- (1.0-5m)
- rebuild against firefox-2.0.0.12

* Sat Dec  1 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-4m)
- rebuild against firefox-2.0.0.11

* Wed Nov 28 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (1.0-3m)
- rebuild against firefox-2.0.0.10

* Mon Nov 26 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-2m)
- merge miro-1.0-1m on trunk into STABLE_4
-- modify BuildRequires: boost-devel

* Wed Nov 14 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (1.0-1m)
- update to 1.0

* Fri Nov  2 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9.9-2m)
- rebuild against firefox-2.0.0.9

* Thu Nov  1 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9.9-1m)
- update to 0.9.9.9

* Fri Oct 19 2007 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.9.9-5m)
- rebuild against firefox-2.0.0.8

* Thu Sep 27 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-4m)
- replace %%{_datadir}/mime/packages/miro.xml

* Wed Sep 19 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-3m)
- rebuild against firefox-2.0.0.7-1m

* Sun Sep  9 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-2m)
- add Requires: gnome-python2-extras-gtkmozembed
  thx <http://pc11.2ch.net/test/read.cgi/linux/1188293074/34>

* Wed Sep  5 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.9-1m)
- update to 0.9.9

* Sun Aug 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.8.1-3m)
- add BuildArch ppc ppc64

* Thu Aug 16 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8.1-2m)
- rebuild against boost-1.34.1-1m

* Thu Aug  2 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8.1-1m)
- update to 0.9.8.1

* Thu Aug  2 2007 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.9.8-1m)
- import to Momonga
- add Patch0: miro-0.9.8-dbus-fix.patch
  <https://develop.participatoryculture.org/trac/democracy/ticket/7270>
